<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>ho-cloud</artifactId>
        <groupId>com.hoenergy</groupId>
        <version>1.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>data-collect-service</artifactId>

    <properties>
        <data-collect-service-api.version>1.0</data-collect-service-api.version>
        <data-collect-src.version>1.0</data-collect-src.version>
        <business-service-dao.version>1.0</business-service-dao.version>
        <flowable-center-api.version>1.0</flowable-center-api.version>
    </properties>

    <dependencies>
        <!--spring test-->
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>${junit.version}</version>
        </dependency>
        <!--spring test-->
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-test</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-test</artifactId>
        </dependency>
        <!--SpringCloud ailibaba nacos -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>

        <!--<dependency>
            <groupId>com.hoenergy</groupId>
            <artifactId>data-collect-src</artifactId>
            <version>${data-collect-src.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>com.hoenergy</groupId>
                    <artifactId>common-tools</artifactId>
                </exclusion>
            </exclusions>
        </dependency>-->
        <!--新建dependency-->
        <dependency>
            <groupId>com.hoenergy</groupId>
            <artifactId>data-collect-service-api</artifactId>
            <version>${data-collect-service-api.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>com.hoenergy</groupId>
                    <artifactId>common-tools</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <!--service和dao层jar包依赖-->
        <dependency>
            <groupId>com.hoenergy</groupId>
            <artifactId>business-service-dao</artifactId>
            <version>${business-service-dao.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>com.hoenergy</groupId>
                    <artifactId>common-tools</artifactId>
                </exclusion>
            </exclusions>
        </dependency>


        <dependency>
            <groupId>com.hoenergy</groupId>
            <artifactId>data-collect-src</artifactId>
            <version>${data-collect-src.version}</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/data-collect-src-1.0.jar</systemPath>
            <exclusions>
                <exclusion>
                    <groupId>com.hoenergy</groupId>
                    <artifactId>common-tools</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>com.hoenergy</groupId>
                    <artifactId>data-collect-service-api</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>com.hoenergy</groupId>
                    <artifactId>business-service-dao</artifactId>
                </exclusion>
            </exclusions>
        </dependency>



        <dependency>
            <groupId>com.hoenergy</groupId>
            <artifactId>flowable-center-api</artifactId>
            <version>${flowable-center-api.version}</version>
        </dependency>

        <!--springboot web-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>
        <!--spring-boot-admin-->
        <dependency>
            <groupId>de.codecentric</groupId>
            <artifactId>spring-boot-admin-starter-server</artifactId>
        </dependency>
        <!--caffeine-->
        <dependency>
            <groupId>com.github.ben-manes.caffeine</groupId>
            <artifactId>caffeine</artifactId>
        </dependency>
        <!--mqtt-->
        <dependency>
            <groupId>org.springframework.integration</groupId>
            <artifactId>spring-integration-mqtt</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.integration</groupId>
            <artifactId>spring-integration-stream</artifactId>
        </dependency>
    </dependencies>
    <build>
        <finalName>${project.artifactId}</finalName>
        <defaultGoal>compile</defaultGoal>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>2.2.12.RELEASE</version>
                <configuration>
                    <includeSystemScope>true</includeSystemScope>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <configuration>
                    <skipTests>true</skipTests>
                </configuration>
            </plugin>

        </plugins>
    </build>
</project>